#!perl -w

# This is a perl script to run all the input files in a directory.
# this IS NOT the main auto run script that happens every night - that is autorun.pl

# It is designed to be executed from the directory where the input files live.
# The string "$exe" must be modified to point to your executable version
# of cloudy.

# under most cumstances this script could be run as simply
# perl runall.pl, or even 
# runall.pl

# after all the models are run the "checkall.pl" script can be run
# to check that everything went ok

# in perl a comment starts with the "#" character, so this is a comment
# variable names start with a "$", so $exe below is a variable, the
# path to the executable

# this is the path to the executable version of the code
# change the string between the double quotes to the location
# of the cloudy executable on your system
# next is valid on my account on ncx
$exe = "/home/gary/cloudy/current/main.exe";
# my nt box
# $exe = "c:/Projects/Cloudy/current/debug/current.exe";

# this loops over all the *.in files in the current directory
# and runs the code to produce *.out files
while( defined( $input = glob("*.in") ) )
{
	print( "$input going to " );
	$output = $input;
	$output =~ s/\.in/.out/gi;
	print("$output\n");
	# actually execute the code
	system "$exe < $input  > $output";
}

print("\n=========================\n");
print("All models have been computed.\n");
print("Now use the checkall.pl script to check results.\n");
print("=========================\n");
